Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 7 de 7

Tema: Actualizar KDE

  1. #1
    Tuckson Invitado

    Actualizar KDE

    Hola a todos.

    Me gustaria que me echaran una mano con un problema que tengo. Soy principiante en esto de Linux y el problema k tengo es l siguiente:

    Instale el Suse 9.2 y l Kde 3.3, aunque éste me dió un error en uno de los paquetes kdebase y no puedo usarlo. Por eso, me descargue los paquetes rpm del kde 3.4, pero al intentar instalarlos me dice k no se puede ya que crea conflictos con los archivos del 3.3. Pues me gustaria saber como desinstalar l kde 3.3 o actualizarlo de algun modo

    Eso na mas, gracias de antemano

  2. #2
    Goltnor Invitado

    Talking Hola

    Hola Amigo Bienvenido, bueno para actualizarte todo lo que quieras hazlo por apt te resuelve los conflictos y te evitas estar buscando dependencias...

    Aqui te dejo un enlace donde te explica como instarlo, esto se hace mediante la Shell "Consola" como Root...
    En el Directorio /etc/apt/ hay un archivo que se llama sources.list alli adentro se encuentran los repositorios necesarios para las actualizaciones y es cuestion de lo que necesites en este caso kde.

    En la consola los comandos para utilizarlo son apt-get update: este actualiza las fuentes y apt-get dist-upgrade: este te instala los paquetes obsoletos por los mas nuevos que se encuentran en los repositorios...hay mas comandos pero es cuestio de que consultes por San Google o bien las man de apt...

    Bueno si tienes mas dudas por favor consulta para poder ayudarte

    Install apt4rpm

    Espero que te sirva...


  3. #3
    Fecha de Ingreso
    19-noviembre-2004
    Mensajes
    118
    Post Thanks / Like
    Poder de Credibilidad
    16
    Te voy a contar cómo lo hice yo, que también ando bastante perdidillo con esto de Linux.

    Ya tenía instalado el apt (úsalo, es un invento genial) pero intenté actualizar el KDE desde Yast, pero me pedía miles de librerías. Así que me fui a apt y me hice un upgrade de todos los paquetes que tenía instalados: apt-get upgrade.

    Se tiró el trasto dos horas bajando e instalando paquetes (tengo una conexión de 600 kb), pero al final terminó. Así que limpié un poco el sistema de paquetes ya innecesarios: apt-get autoclean (también puedes hacerlo con apt-get clean, mírate el manual de apt para saber la diferencia y cual te conviene más).

    Luego me fui a Yast, y pinché en el icono del CD, añadir fuente de instalación. Le dije que me añadiese una nueva fuente de instalación desde ftp, le puse la dirección: ftp.suse.com y le indiqué la carpeta: /pub/suse/x86_64(ojo aquí porque esta es la arquitectura del procesador, si no tienes un AMD64 como yo deberás poner i386)/supplementary/KDE/update_for_9.2/yast-source/

    Luego de activar esta fuente de instalación y de desactivar la que tenias del CD o del DVD, sales de aquí.

    Vas entonces a Instalar software. Arriba hay un menú desplegable donde puedes buscar paquetes, seleccionar, etc. Busca una opción que pone todos los paquetes. Luego, en otro pequeño menú desplegable que hay a la derecha, busca una opción que pone actualizar todos los paquetes que tengan una versión nueva. Ahora viene lo chungo, dale al botón comprobar dependencias y mira a ver lo que te dice. A mí me dio conflicto con algunas librerías de kdepim (una serie de programas que se usan para conectar dispositivos como teléfonos móviles al ordenador). Como no uso nada de eso quité de enmedio los paquetes esos y cuando se resolvieron las dependencias, le di a instalar. Luego, cerré el KDE lo volví a abrir y violà, escritorio nuevo.

    Espero que te sirva.

    adeu

  4. #4
    Goltnor Invitado

    Talking Bueno

    Bueno claro que hay muchas maneras de hacerlo, yo antes solia bajar los paquetes y los instalaba manualmente pero bueno el progreso siempre es bueno jejeje ahora me acostumbre a apt y de hay no salgo

    Saludos


  5. #5
    Tuckson Invitado
    Hola de nuevo.

    Ya descargue el apt y comence a usarlo. Use el apt-get update, pero al scribir apt-get dist-upgrade o upgrade o cualquier otra opcion, me dice que hay dependencias con ciertos paquetes. Incluso al poner apt-get remove. Utilice la opcion -f --install para intentar corregir las dependecias, pero despues de descargar los paquetes necesarios, me da errores y no se instalan.
    Ya presa del desquicio, intente instalar los paquetes dl Kde k m habia descargado "a mano" poniendo rpm -Uvh(fui probando varias opciones) *.rpm desde la carpeta dnd tenia los paquetes y nada, me da este error "DSA signature: BAD key ID 9c800aca".

    Pues eso, a ver si pueden ayudarme con este problemilla porque ya no ntiendo nada...xDD. Una cosa mas, yo ya tengo los paquetes dl kde 3.4 y supongo que no hara falta nada mas. No los descargue con el apt, si no con un gestor de descargas normal y corriente.

    Gracias de antemano

  6. #6
    Goltnor Invitado

    Talking Bueno

    Hola amigo exactamente que errores te daba el apt a instalar los paquetes?

    Ve este articulo error repositorios APT alomejor te pasa lo mismo...

    Espero que te sirva...


  7. #7
    Tuckson Invitado
    Hey!

    Bueno, finalmente, desisti del empeño, supongo que el problema era la mala instalacion de algunos paquetes importantes del Suse. Consegui un CD del 9.0 y lo instale bien. Ahora estoy intentando actualizar todo el sistema para ponerlo a la ultima. Gracias a los dos por la ayuda, por lo menos ya voy conociendo mas terreno del Linux xDD.

    Pues bueno, ya volvere cuando tenga mas dificultades

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Actualizar el Amorok ??
    By schwartz in forum Software
    Respuestas: 3
    Último mensaje: 24-feb-2005, 02:11
  2. Como actualizar Kernel en suse 9.2 version dvd - iso?
    By Kou in forum Instalación y Actualizaciones
    Respuestas: 0
    Último mensaje: 19-feb-2005, 22:51
  3. Respuestas: 0
    Último mensaje: 13-ene-2005, 20:26
  4. Actualizar Firefox.
    By isicapi in forum Software
    Respuestas: 9
    Último mensaje: 14-nov-2004, 14:09
  5. Es conveniente actualizar la 9.1?
    By Oesoto in forum General OpenSUSE
    Respuestas: 5
    Último mensaje: 06-ago-2004, 20:33

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •